// wiz4Dlg.h : header file
//

#if !defined(AFX_WIZ4DLG_H__C14E396C_F130_4E41_B800_9EAFFC139553__INCLUDED_)
#define AFX_WIZ4DLG_H__C14E396C_F130_4E41_B800_9EAFFC139553__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CWiz4Dlg dialog

class CWiz4Dlg : public CDialog
{
// Construction
public:
	CWiz4Dlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CWiz4Dlg)
	enum { IDD = IDD_WIZ4_DIALOG };
	CMonthCalCtrl	m_Calendar;
	CDateTimeCtrl	m_Timp;
	CDateTimeCtrl	m_Data;
	CSliderCtrl	m_slValoare;
	CProgressCtrl	m_prValoare;
	int		m_nValoare;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWiz4Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CWiz4Dlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnChangeValoare();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	virtual void OnOK();
	afx_msg void OnDatetimechangeData(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSelchangeCalendar(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WIZ4DLG_H__C14E396C_F130_4E41_B800_9EAFFC139553__INCLUDED_)
